Bug 106030 - Anaconda uses ATI Mach64 instead of Nvidia Geforce4 (generic)
Anaconda uses ATI Mach64 instead of Nvidia Geforce4 (generic)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kudzu (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks: CambridgeBlocker
  Show dependency treegraph
 
Reported: 2003-10-01 22:53 EDT by Tommy McNeely
Modified: 2014-03-16 22:39 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.1.30-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-02 15:45:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
test kudzu binary (553.82 KB, application/octet-stream)
2003-10-02 00:12 EDT, Bill Nottingham
no flags Details
*fixed* kudzu test binary (154.21 KB, application/octet-stream)
2003-10-02 00:20 EDT, Bill Nottingham
no flags Details

  None (edit)
Description Tommy McNeely 2003-10-01 22:53:06 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703

Description of problem:
During the install, anaconda "detects" the video card as ATI Mach 64.. the X
server fails to start, and it tries VESA (which ofcourse works) and X starts and
the install continues, but then it does not ask what kind of video card I am
running during the X config, so firstboot and graphical login dont work without
re-running redhat-config-xfree86 .. and specifically choosing the Nvidia
GeForce4 (generic) ...

Running redhat-config-xfree86 also tries the Mach64 driver first, then fails
back to the Nvidia driver.. but when I click on advanced to choose the proper
monitor (cause ddcprobe just doesnt work for me?) it changes back to ATI Mach64
again.. its haunting me :)

My system does have a built in ATI RageXL chip that is "disabled" because of the
presence of the Nvidia card in the AGP slot... per lspci output below.



** This could be under the wrong category.. I'm not sure if anaconda uses
redhat-config-xfree86 or if they both use some library that is at fault :)

Tommy

Version-Release number of selected component (if applicable):
anaconda-9.0-4

How reproducible:
Always

Steps to Reproduce:
1. Put in CD1 .. boot with "linux updates"
2. when anaconda starts it fails to start X the first time
3. when the system reboots, X config is broken and needs fixed too
    

Actual Results:  (something) detects the wrong active video card

Expected Results:  the correct video card and a working X config?

Additional info:

[root@cookies root]# lspci -v
00:00.0 Host bridge: Advanced Micro Devices [AMD] AMD-760 MP [IGD4-2P] System
Controller (rev 11)
        Flags: bus master, medium devsel, latency 64
        Memory at 80000000 (32-bit, prefetchable) [size=1024M]
        Memory at 5000a000 (32-bit, prefetchable) [size=4K]
        I/O ports at 2030 [disabled] [size=4]
        Capabilities: [a0] AGP version 2.0
                                                                                
00:01.0 PCI bridge: Advanced Micro Devices [AMD] AMD-760 MP [IGD4-2P] AGP Bridge
(prog-if 00 [Normal decode])
        Flags: bus master, 66Mhz, medium devsel, latency 99
        Bus: primary=00, secondary=01, subordinate=01, sec-latency=68
        Memory behind bridge: 52000000-52ffffff
        Prefetchable memory behind bridge: c0000000-c80fffff
                                                                                
00:07.0 ISA bridge: Advanced Micro Devices [AMD] AMD-766 [ViperPlus] ISA (rev 02)
        Flags: bus master, medium devsel, latency 0
                                                                                
00:07.1 IDE interface: Advanced Micro Devices [AMD] AMD-766 [ViperPlus] IDE (rev
01) (prog-if 8a [Master SecP PriP])
        Flags: medium devsel
        I/O ports at f000 [size=16]
 
00:07.3 Bridge: Advanced Micro Devices [AMD] AMD-766 [ViperPlus] ACPI (rev 01)
        Flags: medium devsel
 
00:07.4 USB Controller: Advanced Micro Devices [AMD] AMD-766 [ViperPlus] USB
(rev 07) (prog-if 10 [OHCI])
        Flags: bus master, medium devsel, latency 16, IRQ 11
        Memory at 000dc000 (32-bit, non-prefetchable) [size=4K]
 
00:09.0 SCSI storage controller: Adaptec AHA-2940U/UW/D / AIC-7881U (rev 01)
        Subsystem: Adaptec AHA-2940UW SCSI Host Adapter
        Flags: bus master, medium devsel, latency 64, IRQ 10
        I/O ports at 1000 [disabled] [size=256]
        Memory at 50005000 (32-bit, non-prefetchable) [size=4K]
        Expansion ROM at <unassigned> [disabled] [size=64K]
        Capabilities: [dc] Power Management version 1
 
00:0b.0 Multimedia audio controller: Creative Labs SB Audigy (rev 03)
        Subsystem: Creative Labs SB0090 Audigy Player
        Flags: bus master, medium devsel, latency 64, IRQ 11
        I/O ports at 2000 [size=32]
        Capabilities: [dc] Power Management version 2
 
00:0b.1 Input device controller: Creative Labs SB Audigy MIDI/Game port (rev 03)
       Subsystem: Creative Labs SB Audigy MIDI/Game Port
        Flags: bus master, medium devsel, latency 64
        I/O ports at 2038 [size=8]
        Capabilities: [dc] Power Management version 2
 
00:0b.2 FireWire (IEEE 1394): Creative Labs SB Audigy FireWire Port (prog-if 10
[OHCI])
        Subsystem: Creative Labs SB Audigy FireWire Port
        Flags: bus master, medium devsel, latency 64, IRQ 5
        Memory at 50008000 (32-bit, non-prefetchable) [size=2K]
        Memory at 50000000 (32-bit, non-prefetchable) [size=16K]
        Capabilities: [44] Power Management version 2
 
00:0d.0 SCSI storage controller: Adaptec AIC-7899P U160/m (rev 01)
        Subsystem: Tyan Computer Thunder K7 S2462
        Flags: bus master, 66Mhz, medium devsel, latency 72, IRQ 5
        BIST result: 00
        I/O ports at 1400 [disabled] [size=256]
        Memory at 50006000 (64-bit, non-prefetchable) [size=4K]
        Expansion ROM at <unassigned> [disabled] [size=128K]
        Capabilities: [dc] Power Management version 2
 
00:0d.1 SCSI storage controller: Adaptec AIC-7899P U160/m (rev 01)
        Subsystem: Tyan Computer Thunder K7 S2462
        Flags: bus master, 66Mhz, medium devsel, latency 72, IRQ 10
        BIST result: 00
        I/O ports at 1800 [disabled] [size=256]
        Memory at 50007000 (64-bit, non-prefetchable) [size=4K]
        Expansion ROM at <unassigned> [disabled] [size=128K]
        Capabilities: [dc] Power Management version 2
 
00:0e.0 VGA compatible controller: ATI Technologies Inc Rage XL (rev 27)
(prog-if 00 [VGA])
        Flags: stepping, medium devsel
        Memory at 51000000 (32-bit, non-prefetchable) [disabled] [size=16M]
        I/O ports at 2400 [disabled] [size=256]
        Memory at 50009000 (32-bit, non-prefetchable) [disabled] [size=4K]
        Expansion ROM at <unassigned> [disabled] [size=128K]
        Capabilities: [5c] Power Management version 2
 
00:0f.0 Ethernet controller: 3Com Corporation 3c980-TX 10/100baseTX NIC
[Python-T] (rev 78)
        Subsystem: Tyan Computer Thunder K7 S2462
        Flags: bus master, medium devsel, latency 80, IRQ 3
        I/O ports at 1c00 [size=128]
        Memory at 50008800 (32-bit, non-prefetchable) [size=128]
        Expansion ROM at <unassigned> [disabled] [size=128K]
        Capabilities: [dc] Power Management version 2
 
00:10.0 Ethernet controller: 3Com Corporation 3c980-TX 10/100baseTX NIC
[Python-T] (rev 78)
        Subsystem: Tyan Computer Thunder K7 S2462
        Flags: bus master, medium devsel, latency 80, IRQ 11
        I/O ports at 1c80 [size=128]
        Memory at 50008c00 (32-bit, non-prefetchable) [size=128]
        Expansion ROM at <unassigned> [disabled] [size=128K]
        Capabilities: [dc] Power Management version 2
 
01:05.0 VGA compatible controller: nVidia Corporation NV25 [GeForce4 Ti 4600]
(rev a3) (prog-if 00 [VGA])
        Subsystem: VISIONTEK: Unknown device 0037
        Flags: bus master, 66Mhz, medium devsel, latency 64, IRQ 10
        Memory at 52000000 (32-bit, non-prefetchable) [size=16M]
        Memory at c0000000 (32-bit, prefetchable) [size=128M]
        Memory at c8000000 (32-bit, prefetchable) [size=512K]
        Expansion ROM at <unassigned> [disabled] [size=128K]
        Capabilities: [60] Power Management version 2
        Capabilities: [44] AGP version 2.0
 
[root@cookies root]#


Tyan 2460S - Dual Athlon 2100+ - 1GBram
built in ATI Rage XL (not used)
ActionTek - Nvidia Geforce 4 - Ti4600

Any other info needed, let me know.
Comment 1 Bill Nottingham 2003-10-02 00:12:01 EDT
Created attachment 94864 [details]
test kudzu binary

Can you attach the output of 'kudzu -p -c video' with:

- the version of kudzu on the system
- this attached binary
Comment 2 Bill Nottingham 2003-10-02 00:20:20 EDT
Created attachment 94867 [details]
*fixed* kudzu test binary

Woops, try this one instead.
Comment 3 Tommy McNeely 2003-10-02 15:25:13 EDT
[root@cookies tommy]# ./kudzu -p -c video
-
class: VIDEO
bus: PCI
detached: 0
driver: disabled
desc: "ATI|Rage XL"
vendorId: 1002
deviceId: 4752
subVendorId: 0000
subDeviceId: 0000
pciType: 1
pcibus:  0
pcidev:  e
pcifn:  0
-
class: VIDEO
bus: PCI
detached: 0
driver: Card:NVIDIA GeForce 4 (generic)
desc: "nVidia Corporation|NV25 [GeForce4 Ti 4600]"
vendorId: 10de
deviceId: 0250
subVendorId: 1545
subDeviceId: 0037
pciType: 1
pcibus:  1
pcidev:  5
pcifn:  0
[root@cookies tommy]#
[root@cookies tommy]#



(original system kudzu)
[root@cookies tommy]# /usr/sbin/kudzu -p -c video
-
class: VIDEO
bus: PCI
detached: 0
driver: Card:ATI Mach64
desc: "ATI|Rage XL"
vendorId: 1002
deviceId: 4752
subVendorId: 0000
subDeviceId: 0000
pciType: 1
pcibus:  0
pcidev:  e
pcifn:  0
-
class: VIDEO
bus: PCI
detached: 0
driver: Card:NVIDIA GeForce 4 (generic)
desc: "nVidia Corporation|NV25 [GeForce4 Ti 4600]"
vendorId: 10de
deviceId: 0250
subVendorId: 1545
subDeviceId: 0037
pciType: 1
pcibus:  1
pcidev:  5
pcifn:  0
[root@cookies tommy]#
Comment 4 Tommy McNeely 2003-10-02 15:37:42 EDT
so the patched Kudzu puts disabled in there... the only question would be (which
I cant test at the current time)  ... if the Nvidia card was not in there, would
teh ATI RageXL chip work? and what driver should it use :-)


redhat-config-xfree86 still acts hoakey even with the new kudzu in place.. does
it have its own little kudzu?

Tommy
Comment 5 Bill Nottingham 2003-10-02 15:45:47 EDT
Fixed in 1.1.30-1.

If you took the nVidia card out, the ATI chip wouldn't be disabled by the BIOS,
so it would show up normally (and use the Mach64 driver.)
Comment 6 Mike A. Harris 2003-10-09 09:43:57 EDT
Tommy,

The "atimisc" driver is for Mach64 hardware, generally called by the "ati"
wrapper driver if you're wondering...
Comment 7 Tommy McNeely 2003-10-09 13:38:42 EDT
heh, I wasn't going to remove my "good" video card to test, just assumed it
would be OK :)

Note You need to log in before you can comment on or make changes to this bug.